Subject: Re: bug#18642: preparing for a new release
From: Norihiro Tanaka <[email-masked]>
To: Jim Meyering <[email-masked]>
Cc: [email-masked]
Date: Tue, 07 Oct 2014 23:37:33 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Jim Meyering <[email-masked]> wrote:
> As you know, for any bug fix, we try hard to provide the following:
> 
>   - test case
>   - NEWS entry describing the problem and identifying affected releases
>   - a commit log attributing the precise commit that introduced the bug
> 
> Can you provide at least a test case?
> 
> BTW, I still have not attributed the commit between 2.19 and 2.20
> for the most recently described (in NEWS) bug fix.

Sorry, I investigated many cases, but I couldn't find it.

When this bug is reproduced, must be s == 0 and s1 > 0 and
d->newlines[s] != d->newlines[s1].  In addition, they mustn't be
updated until reaches a next newline.

I believe that all of them is never filled at the same time.  So I think
once I close the bug without fix.